
/* Adjust styling as needed */
body {
    padding-top: 80px; /* Height of the fixed navbar */
    margin: 0; /* Reset body margin */
    font-family: Roboto, Helvetica, Arial, sans-serif;
    font-weight: 400;
}

@media (min-width: 992px) {
    body {
        display: block;
    }

    .sidebar {
        width: 250px; /* Width of the sidebar */
    }

    .main-content {
        flex: 1;
        margin-left: 250px; /* Adjust this value based on the width of the sidebar */
        width: auto;
        padding-top: 10px;
    }
}

.sidebar {
    padding-top: 80px; /* Adjust this value based on the height of the header */
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 1000;
    width: 250px;
    overflow-x: hidden;
    overflow-y: auto;
    transition: left 0.3s ease; /* Add a transition for smooth animation */
    margin-bottom: 51px;
}

@media (max-width: 600px) {
    .navbar-nav {
        display: none;
    }
}

@media (max-width: 991px) {

    .sidebar {
        left: -250px; /* Move the sidebar off-screen to the left by default on small screens */
    }

    body.shift {
        margin-left: 250px; /* Shift the body to the right when the sidebar is visible on small screens */
    }

    .sidebar.show {
        left: 0 !important; /* Move the sidebar back to the left when it is shown */
    }
}

.sidebar .nav-link {
    font-size: .875rem;
    font-weight: 500;
}

    .sidebar .nav-link.active {
        color: #2470dc;
    }

.sidebar-heading {
    font-size: .75rem;
}



/* previous style */

.draft {
    background: url('../images/draft.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

    .draft:focus {
        background-image: none;
    }

.bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

@media (min-width: 768px) {
    .bd-placeholder-img-lg {
        font-size: 3.5rem;
    }
}

.b-example-divider {
    width: 100%;
    height: 3rem;
    background-color: rgba(0, 0, 0, .1);
    border: solid rgba(0, 0, 0, .15);
    border-width: 1px 0;
    box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
}

.b-example-vr {
    flex-shrink: 0;
    width: 1.5rem;
    height: 100vh;
}

.bi {
    vertical-align: -.125em;
    fill: currentColor;
}

.nav-scroller {
    position: relative;
    z-index: 2;
    height: 2.75rem;
    overflow-y: hidden;
}

    .nav-scroller .nav {
        display: flex;
        flex-wrap: nowrap;
        padding-bottom: 1rem;
        margin-top: -1px;
        overflow-x: auto;
        text-align: center;
        white-space: nowrap;
        -webkit-overflow-scrolling: touch;
    }

.btn-bd-primary {
    --bd-violet-bg: #712cf9;
    --bd-violet-rgb: 112.520718, 44.062154, 249.437846;
    --bs-btn-font-weight: 600;
    --bs-btn-color: var(--bs-white);
    --bs-btn-bg: var(--bd-violet-bg);
    --bs-btn-border-color: var(--bd-violet-bg);
    --bs-btn-hover-color: var(--bs-white);
    --bs-btn-hover-bg: #6528e0;
    --bs-btn-hover-border-color: #6528e0;
    --bs-btn-focus-shadow-rgb: var(--bd-violet-rgb);
    --bs-btn-active-color: var(--bs-btn-hover-color);
    --bs-btn-active-bg: #5a23c8;
    --bs-btn-active-border-color: #5a23c8;
}

.bd-mode-toggle {
    z-index: 1500;
}

.waiting-bg {
    background: #367dd7;
}

.inprogress-bg {
    background: #367dd7;
}

.locked-inprogress-bg {
    background: #7b28d3;
}

.completed-bg {
    background: #1c7544;
}

.overdue-bg {
    background: #d10000;
}

.notstarted-bg {
    background: #878787;
}

.promotion-top {
    border-top: 2px solid #ffde00 !important;
}

.promotion-left {
    border-left: 2px solid #ffde00;
}

.promotion-bottom {
    border-bottom: 2px solid #ffde00;
}

.promotion-right {
    border-right: 2px solid #ffde00;
}

.lock-inactive {
    filter: invert(.25);
}

.lock-active {
    filter: invert(.75);
}

.overdue-text {
    color: red;
    font-weight: 500;
}

.cardheader-inactive {
    background-image: linear-gradient(to bottom right, #a5a5a5,#4f4f4f);
}

.evalreview-active {
    background-image: linear-gradient(to bottom right, #800013,#55111b);
}

.growthplans-active {
    /*background-image: linear-gradient(to bottom right, #0d5736,#29af71);*/
    background-image: linear-gradient(to bottom right, #024b75,#183143)
}

.card-complete {
    background-image: linear-gradient(to bottom right, #0d5736,#29af71);
}

.card-inactive {
    background: #cbcbcb !important;
}



.EvaluationCoreCompetencyAccordion {
    padding: 8px;
    background-image: linear-gradient(to bottom right, #477ea6,#124265);
    text-align: center;
    font-size: 1em;
    color: #fff;
    font-weight: 500
}

.EvaluationOrganizationalFitAccordion {
    padding: 8px;
    background-image: linear-gradient(to bottom right, #5ab1af,#477ea6);
    text-align: center;
    font-size: 1.2em;
    color: #fff;
    font-weight: 500
}

.EvaluationCoreCompetencyOfficerHeader {
    padding: 2px;
    background: #4e6985;
    color: #fff;
    font-size: 1em;
    font-weight: 400;
    min-height: 25px;
    line-height: 25px
}

.EvaluationCoreCompetencyText {
    padding: 10px;
    border: 1px solid #cecece;
    font-size: .9em;
    font-weight: 500
}

.Toast-Successful {
    background: #1daf87;
    position: fixed;
    bottom: 60px;
    right: 0;
}

.Toast-Unsuccessful {
    background: #dc3545;
    position: fixed;
    bottom: 60px;
    right: 0;
}

.accordion-button:not(.collapsed) {
    color: #fff !important;
}

.accordion-button:not(.collapsed) {
    color: #0c63e4;
    background-color: #97a2b1;
    box-shadow: inset 0 -1px 0 rgba(0,0,0,.125);
}

.gpheader-recommended {
    padding: 8px;
    background-image: linear-gradient(to bottom right, #024b75,#183143);
    color: #fff;
    font-size: 1.2em;
    font-weight: 500;
    min-height: 25px;
    line-height: 25px
}

.gpheader-strength {
    padding: 8px;
    background-image: linear-gradient(to bottom right, #024b75,#183143);
    color: #fff;
    font-size: 1.2em;
    font-weight: 500;
    min-height: 25px;
    line-height: 25px
}

.gpheader-personal {
    padding: 8px;
    background-image: linear-gradient(to bottom right, #024b75,#183143);
    color: #fff;
    font-size: 1.2em;
    font-weight: 500;
    min-height: 25px;
    line-height: 25px
}

.record-avatar {
    height: 30px;
    border-radius: 50%;
    margin-left: 3px;
    margin-right: 3px;
}

.accordion-button-assignments {
    padding: 0.5rem 1.25rem !important;
}

.requiredicon {
    vertical-align: text-top;
    height: 7px
}

.user-suggestion {
    cursor: pointer;
    padding: 5px;
    border-bottom: 1px solid #ddd;
}

    .user-suggestion:hover {
        background-color: #f0f0f0;
    }

.header-promotion {
    border: 4px solid #ffca2b;
}

.invalid-field {
    border: 1px solid #ff0000;
}

.nav-link {
    color: white !important; /* Ensures that the text color is white */
}

.hover-effect {
    background-color: #383a3f !important; /* Override other styles */
    color: white !important;
}

.nav-link {
    color: black; /* Default color */
}

.payout-icon {
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    margin: 11.5px 0px;
    color: #fff;
    width: 35px;
    height: 35px;
    display: flex;
}

.payout-icon-active {
    background-color: #1976d2;
}

.payout-icon-approved {
    background-color: #28a745;
}

.payout-icon-inactive {
    background-color: #dedede;
}

.payout-icon-notapproved {
    background-color: #dc3545;
}

.calendar-container {
    margin-top: 20px;
}

.days-of-week .col {
    font-weight: bold;
    text-align: center;
    background-color: #f0f0f0; /* Light gray background for header */
}

#calendar-rows .row {
    margin-top: 0px;
    min-height: 75px;
}

#calendar-rows .col {
    flex-grow: 0; /* Prevent the cell from growing */
    flex-shrink: 0; /* Prevent the cell from shrinking */
    flex-basis: calc(100% / 7); /* Set the base width to evenly distribute across 7 days of the week */
    border: 1px solid #ddd; /* Keep your border settings */
    padding: 10px; /* Keep your padding settings */
    text-align: center; /* Center the text */
}

.date-number {
    font-size: .8em;
    color: #979797;
}

.log-entry {
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #fff;
    font-weight: 700;
    font-size: .8em;
    padding: 2px;
    text-align: center;
}

.chips-container {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 5px;
    padding: 5px;
}

.chip {
    display: inline-flex;
    align-items: center;
    padding: 0 10px;
    background-color: #007bff; /* Bootstrap primary color */
    color: #ffffff;
    border-radius: 15px;
    gap: 5px;
}

    .chip .close {
        cursor: pointer;
        background-color: transparent;
        border: none;
        color: #ffffff;
        font-size: 1rem;
    }

.top-walkers-item {
    list-style-type: none;
    background-color: rgb(245, 245, 245);
    margin: 5px;
    padding: 5px;
    border-radius: 5px;
}

.required-label::after {
    content: " *";
    color: red;
}

/* General editable cell hover */
.editable-cell {
    cursor: pointer;
    display: inline-block;
    width: 100%;
}

/* Placeholder style for empty cells */
.editable-placeholder {
    color: #999;
    font-style: italic;
}

/* Hover indicator (both for filled and empty cells) */
td.editable:hover {
    background-color: #f0f8ff; /* light blue highlight */
}